ResourceDeletedException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.shared.ResourceDeletedException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.shared
Class ResourceDeletedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.hq.authz.server.shared.ResourceDeletedException

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceDeletedException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ResourceDeletedException()`
`ResourceDeletedException(java.lang.String m)`
`ResourceDeletedException(java.lang.String m, java.lang.Throwable t)`
`ResourceDeletedException(java.lang.Throwable t)`

Method Summary
`static ResourceDeletedException` | `newInstance(Resource r)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceDeletedException

    public ResourceDeletedException(java.lang.String m,
                                    java.lang.Throwable t)

### ResourceDeletedException

    public ResourceDeletedException(java.lang.String m)

### ResourceDeletedException

    public ResourceDeletedException(java.lang.Throwable t)

### ResourceDeletedException

    public ResourceDeletedException()

Method Detail

### newInstance

    public static ResourceDeletedException newInstance(Resource r)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.